Application: gvSIG desktop - gvSIG bugs #1194
After cancel difference geoprocess during the process, it creates a layer with part of the result
10/02/2012 10:24 AM - Vicent Domenech

Status: Closed % Done: 0%
Priority: Low Spent time: 0.00 hour
Assignee: Ignacio Brodin

Category: Geoprocess

Target version:

Severity: Add-on version:

gvSIG version: 2.0.0 Add-on build:

gvSIG build: 2054 Add-on resolve version:
Operative System: Linux Add-on resolve build: 2043
Keywords: Proyecto:

Has patch: No Hito:

Add-on name: Geoprocess: sextante algorithms (org.gvs|g.geoprocess.app.sextante)
Description

Open gvSIG

Open new View

Add layer (/geodata/vector/SHP2D/provincias_andalucia/provincias_andalucia.shp)

Add layer (/geodata/vector/SHP2D/esp_provincias/esp_provincias.shp)

Click in difference tool from geoprocess

Choose the Input cover, esp_provincias.shp

Choose the Overlay layer, provincias_andalucia.shp

Save the dissolve in a temporary file

Click Ok

Click cancel button in the new pop up window (This pop up has a fast expire, then hurry up to click cancel button to stop the process)
The problem is after the process stop it create a differene layer with some elements, | think if we cancel the process it is because we
don't want the result and it should not create any layer

History

#1 - 10/02/2012 03:18 PM - Manuel Madrid

- Priority changed from Normal to Low
#2 - 10/18/2012 03:43 PM - Ignacio Brodin
- Status changed from New to Fixed

- Assignee set to Ignacio Brodin
- Target version set to 2.0.0-rc1

gvsig-geoprocess:r322

#3 - 11/16/2012 01:04 PM - Abenchara Socorro
- Status changed from Fixed to New

| have followed the steps above, and if | don't click on Cancel button appears a strange window flashing. | can't close gvSIG.

Tested in build 2058
#4 - 12/07/2012 01:47 PM - Joaquin del Cerro Murciano

- Target version changed from 2.0.0-rc1 to 2.0.0-final

#5 - 12/15/2012 06:21 PM - Manuel Madrid
- Target version deleted (2.0.0-final)

#6 - 01/16/2013 09:55 AM - Ignacio Brodin

- Status changed from New to Fixed

- Add-on name changed from Unknown to Geoprocess: sextante algorithms (org.gvsig.geoprocess.app.sextante)
- Add-on resolve build set to 2043

It does not happen in the last version but I've solved a little problem related with those layers. The operation "difference" between some polygons
return a TopologyException. It seems a problem with jts but | am not sure. The operation "Intersects" return true and later it is not possible calculate
the difference because those geometries do not intersect.

gvsig-geoprocess:r348

#7 - 02/26/2014 12:40 PM - Alvaro Anguix

- Status changed from Fixed to Closed
